%define         srcname       wmcube

Name:           wmcube
Version:        1.0.2
Release:        %mkrel 6
Summary:        Another dock monitor displaying CPU load as a spinning cube
License:        GPLv2
Group:          Monitoring

#gtk version0.98p2 http://www.ne.jp/asahi/linux/timecop/
URL:            https://www.dockapps.net/wmcube
Source0:        https://www.dockapps.net/wmcube/%{srcname}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gdk-2.0)

%description
Wmcube is a dock application for WindowMaker or any other desktop
environment that supports docking. It renders a real time rotating
three-dimensional cube and the current CPU load. Various rotating
objects are preconfigured in %{_datadir}/%{name}/%{objdirname} and
can be specified on the command line.

%prep
%setup -q -n %{srcname}-%{version}

%build
pushd %{name}
%make_build CFLAGS="%optflags -fcommon \`pkg-config --cflags gdk-2.0\`" \
      INCDIR="-I%{_includedir}/X11" \
      LIBDIR="-L%{_libdir}" \
      LIBS="%ldflags -lX11 -lXext -lXpm -lm \`pkg-config --libs gdk-2.0\`"
popd

%install
pushd %{name}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
popd
install -d -m 755 3D-objects %{buildroot}%{_datadir}/%{name}
install -D -m 644 3D-objects/*.wmc %{buildroot}%{_datadir}/%{name}/


%files
%doc README CHANGES COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*



%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.0.2-6.mga9
+ Revision: 1835308
- Mageia 9 Mass Rebuild

* Mon Jul 06 2020 joequant <joequant> 1.0.2-5.mga8
+ Revision: 1602573
- fix gcc10 build

* Sun Mar 22 2020 eatdirt <eatdirt> 1.0.2-4.mga8
+ Revision: 1558736
- Update url

* Fri Feb 14 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1518164
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1301686
- Mageia 7 Mass Rebuild

* Mon Mar 21 2016 eatdirt <eatdirt> 1.0.2-1.mga6
+ Revision: 993725
- Upgrade to version 1.0.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 959182
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 eatdirt <eatdirt> 1.0.1-1.mga6
+ Revision: 886085
- Upgrade to version 1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 0.98p2-6.mga5
+ Revision: 749433
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.98p2-5.mga5
+ Revision: 690333
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.98p2-4.mga4
+ Revision: 520162
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.98p2-3.mga3
+ Revision: 385729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.98p2-2.mga3
+ Revision: 314589
- Rebuild for mga3

* Thu Jan 26 2012 eatdirt <eatdirt> 0.98p2-1.mga2
+ Revision: 201600
- imported package wmcube


* Wed Jan 25 2012 Chris Ringeval <dirteat@gmail.com> 0.98p2-1.mga2
- Import wmcube
